package com.gic.evaluate.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-27 10:33
 */
public enum ComputeEnum {
    GT(">",1, "大于"),
    GTE(">=",3,  "大于等于"),
    EQ("=", 2, "等于"),
    LTE("<=", 3, "小于等于"),
    LT("<", 1, "小于");
    private String compute;
    private Integer code;
    private String msg;

    ComputeEnum(String compute, Integer code, String msg) {
        this.compute = compute;
        this.code = code;
        this.msg = msg;
    }

    public String getCompute() {
        return compute;
    }

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public static String parseCodeToCompute(Integer code) {
        for (ComputeEnum computeEnum : values()) {
            if (computeEnum.code.equals(code)) {
                return computeEnum.compute;
            }
        }
        return null;
    }
}
