package com.gic.evaluate.service;

import com.gic.evaluate.dto.MemberReplyDTO;
import com.gic.evaluate.dto.UserReplyDTO;
import com.gic.evaluate.entity.TabEvaluateReply;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-27 9:52
 */
public interface EvaluateReplyService {
    List<TabEvaluateReply> listEvaluateReply(Integer enterpriseId, Integer evaluateId);

    void updateShowStatus(Integer enterpriseId, List<Integer> evaluateId, Integer showStatus);

    void updateTopHotStatus(Integer enterpriseId, Integer evaluateId, Integer topHotStatus);

    void updateMaliciousStatus(Integer enterpriseId, Integer evaluateId, Integer maliciousStatus);

    void saveUserReplyEvaluate(UserReplyDTO userReplyDTO);

    void saveMemberReplyEvaluate(MemberReplyDTO memberReplyDTO);

    void delReply(Integer evaluateReplyId);
}
