package com.gic.evaluate.service.outer.impl;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.response.EnterpriseServiceResponse;
import com.gic.evaluate.dto.EvaluateDTO;
import com.gic.evaluate.dto.MemberReplyDTO;
import com.gic.evaluate.qo.EvaluateQO;
import com.gic.evaluate.service.EvaluateHaobanApiService;
import com.gic.evaluate.service.EvaluateReplyService;
import com.gic.evaluate.service.EvaluateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-27 15:27
 */
@Service("evaluateHaobanApiService")
public class EvaluateHanbanApiServiceImpl implements EvaluateHaobanApiService {

    @Autowired
    private EvaluateService evaluateService;
    @Autowired
    private EvaluateReplyService evaluateReplyService;

    @Override
    public ServiceResponse<Void> saveEvaluate(EvaluateDTO evaluateDTO) {
        evaluateService.saveEvaluate(evaluateDTO);
        return EnterpriseServiceResponse.success();
    }

    @Override
    public ServiceResponse<Void> saveReply(MemberReplyDTO memberReplyDTO) {
        evaluateReplyService.saveMemberReplyEvaluate(memberReplyDTO);
        return EnterpriseServiceResponse.success();
    }

    @Override
    public ServiceResponse<Page<EvaluateDTO>> listEvaluateByStore(EvaluateQO evaluateQO) {
        // todo 看到图在写
        return null;
    }

    @Override
    public ServiceResponse<Page<EvaluateDTO>> listEvaluateByMember(EvaluateQO evaluateQO) {
        // todo 看到图在写
        return null;
    }
}
