package com.gic.evaluate.web.vo;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import java.io.Serializable;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-26 10:55
 */
public class BadTagConfigVO implements Serializable {
    private static final long serialVersionUID = 2604231225534227058L;

    public interface BadTagConfigValid{}
    /**
     * 恶意评价标记功能
     */
    @Min(value = 0, message = "参数错误", groups = BadTagConfigValid.class)
    @Max(value = 1, message = "参数错误", groups = BadTagConfigValid.class)
    private Integer badEvaluateTag;

    /**
     * 恶意投诉标记功能
     */
    @Min(value = 0, message = "参数错误", groups = BadTagConfigValid.class)
    @Max(value = 1, message = "参数错误", groups = BadTagConfigValid.class)
    private Integer badSuggestionTag;

    private Integer enterpriseId;

    public Integer getBadEvaluateTag() {
        return badEvaluateTag;
    }

    public void setBadEvaluateTag(Integer badEvaluateTag) {
        this.badEvaluateTag = badEvaluateTag;
    }

    public Integer getBadSuggestionTag() {
        return badSuggestionTag;
    }

    public void setBadSuggestionTag(Integer badSuggestionTag) {
        this.badSuggestionTag = badSuggestionTag;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
}
